Update php 5.2.0 to 5.2.4 with aptitude

Posted by Kiva on Server Fault See other posts from Server Fault or by Kiva
Published on 2010-03-12T11:45:37Z Indexed on 2010/03/12 11:47 UTC
Read the original article Hit count: 738

Filed under:
|
|

Hi guy,

I would like to update my php 5 in my server. At this moment, I use php 5.2.0 so I want to update it to php 5.2.4 (not php 5.3). I tried to do this:

aptitude update
aptitude upgrade

63 packets were updated but not php which is always in 5.0

How can I update my php please ?

Here is the output of commands asked by David in another post:

aptitude search php5
p   libapache-mod-php5              - server-side, HTML-embedded scripting langu
i A libapache2-mod-php5             - server-side, HTML-embedded scripting langu
i   php5                            - server-side, HTML-embedded scripting langu
p   php5-apache2-mod-bt             - PHP bindings for mod_bt
p   php5-auth-pam                   - A PHP5 extension for PAM authentication
i   php5-cgi                        - server-side, HTML-embedded scripting langu
p   php5-clamavlib                  - PHP ClamAV Lib - ClamAV Interface for PHP5
p   php5-cli                        - command-line interpreter for the php5 scri
i A php5-common                     - Common files for packages built from the p
i   php5-curl                       - CURL module for php5
p   php5-dev                        - Files for PHP5 module development
i A php5-gd                         - GD module for php5
p   php5-idn                        - PHP api for the IDNA library
p   php5-imagick                    - ImageMagick module for php5
p   php5-imap                       - IMAP module for php5
p   php5-interbase                  - interbase/firebird module for php5
p   php5-json                       - JSON serialiser for PHP5
p   php5-ldap                       - LDAP module for php5
p   php5-mapscript                  - module for php5-cgi to use mapserver
p   php5-maxdb                      - PHP extension to access MaxDB databases fo
i A php5-mcrypt                     - MCrypt module for php5
p   php5-memcache                   - memcache extension module for PHP5
p   php5-mhash                      - MHASH module for php5
p   php5-ming                       - Ming module for php5
i A php5-mysql                      - MySQL module for php5
p   php5-odbc                       - ODBC module for php5
p   php5-pgsql                      - PostgreSQL module for php5
p   php5-ps                         - ps module for PHP 5
p   php5-pspell                     - pspell module for php5
p   php5-radius                     - PECL radius module for PHP 5
p   php5-recode                     - recode module for php5
p   php5-snmp                       - SNMP module for php5
p   php5-sqlite                     - SQLite module for php5
p   php5-sqlite3                    - SQLite3 module for php5
p   php5-sqlrelay                   - SQL Relay PHP API
p   php5-suhosin                    - advanced protection module for php5
p   php5-sybase                     - Sybase / MS SQL Server module for php5
p   php5-tidy                       - tidy module for php5
p   php5-uuid                       - OSSP uuid module for php5
p   php5-xapian                     - Xapian search engine interface for PHP5
p   php5-xcache                     - Fast, stable PHP opcode cacher
p   php5-xmlrpc                     - XML-RPC module for php5
p   php5-xsl                        - XSL module for php5



aptitude show php5 | grep Version
Version : 5.2.0-8+etch13


aptitude show php5-cgi | grep Version
Version : 5.2.0-8+etch13



php5 --version
-bash: php5: command not found


php-cgi --version
PHP 5.2.0-8+etch13 (cgi-fcgi) (built: Oct  2 2008 08:21:17)
Copyright (c) 1997-2006 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2006 Zend Technologies

© Server Fault or respective owner

Related posts about php5

Related posts about aptitude